maven-compiler-plugin encoding 설정하기

<plugin>
    <groupId>org.apache.maven.plugins</groupId>
    <artifactId>maven-compiler-plugin</artifactId>
    <version>2.0.2</version>
    <configuration>
        <source>1.6</source>
        <target>1.6</target>
        <encoding>UTF-8</encoding>
    </configuration>
</plugin>

 

 

maven-resources-plugin encoding 설정하기

<plugin>
    <groupId>org.apache.maven.plugins</groupId>
    <artifactId>maven-resources-plugin</artifactId>
    <version>2.4</version>
    <configuration>
        <encoding>UTF-8</encoding>
    </configuration>
</plugin>

 

 

메이븐에서는 위와같이 버젼이며 인코딩을 명시해 줘야한다. 안그러면 알수없는 오류들을 내뱉는 경우가 종종있다.

신고
by cranix 2009.09.03 12:16
| 1 |